headless lms

Add a person to a group chat you are in

POST /api/member/chats/{chatId}/participants. Add a person to a group chat you are in. Headless LMS Chats API reference.

POST
/api/member/chats/{chatId}/participants

For a participant of a group chat. 409 when the chat is direct, the person is already in it, or it is full.

Path Parameters

chatId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/chats/string/participants" \  -H "Content-Type: application/json" \  -d '{    "orgUserId": "string"  }'
{  "orgId": "string",  "id": "string",  "communityId": "string",  "kind": "direct",  "status": "pending",  "createdBy": "string",  "lockedAt": "2019-08-24T14:15:22Z",  "lockedBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}